Subject: bug#60141: Stack smashing detected after first guix pull on fresh Ubuntu 22.04 guix install

From: Ludovic Courtès <[email-masked]>
Date: Tue, 17 Jan 2023 16:20:28 +0100

Hi,

"Andrews, Kyle (KC)" <[email-masked]> skribis:

> My system administrator let me know that the terminal I was presented with was sandboxed by RStudio Server (not running on Guix) and that this was responsible for causing the error.
>
> I was able to run the hello command from an unsandboxed shell. I was also able to pull the latest version of guix using the same method.

Thanks for reporting back.  My guess would be that RStudio Server was
setting ‘LD_LIBRARY_PATH’, which in turn caused ‘guix’ to use the wrong
shared library at run-time, leading to that segfault.

I gather we can close this issue now, thanks.

Ludo’.